Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Update object

PUT/objects/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Query parameters
fieldsToReturnstring

Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.

responseShapestring

Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:compactfull
Header parameters
LT-Response-Shapestring

Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:full
Request body
requiredapplication/json
customFieldsobject

Custom field values keyed by field id

externalIdobject | null
namestring
organizationIdobject | null
projectIdobject | null
statusIdstring

Status UUID (must belong to the object type)

tagsstring[]
Responses
200
createdAtstringrequired
customFieldsobjectrequired
editedAtstringrequired
externalIdobject | nullrequired
idstringrequired
namestringrequired
objectTypeObjectTypeSummaryDtorequired
Show properties
iconobject | nullrequired
idstringrequired
namestringrequired
slugstring | nullrequired
organizationobject | nullrequired
Show properties
idstringrequired
namestringrequired
shortNamestringrequired
organizationIdobject | nullrequired
projectobject | nullrequired
Show properties
idstringrequired
namestringrequired
shortNumbernumberrequired
projectIdobject | nullrequired
statusObjectStatusSummaryDtorequired
Show properties
colorstringrequired
idstringrequired
namestringrequired
tagsstring[]required
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT "https://leadtime.app/api/public/objects/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "customFields": {},
  "externalId": {},
  "name": "string",
  "organizationId": {},
  "projectId": {},
  "statusId": "string",
  "tags": [
    "string"
  ]
}'
Response
{
  "createdAt": "string",
  "customFields": {},
  "editedAt": "string",
  "externalId": {},
  "id": "string",
  "name": "string",
  "objectType": {
    "icon": {},
    "id": "string",
    "name": "string",
    "slug": "string"
  },
  "organization": {
    "id": "string",
    "name": "string",
    "shortName": "string"
  },
  "organizationId": {},
  "project": {
    "id": "string",
    "name": "string",
    "shortNumber": 0
  },
  "projectId": {},
  "status": {
    "color": "string",
    "id": "string",
    "name": "string"
  },
  "tags": [
    "string"
  ]
}